%{?nodejs_find_provides_and_requires}

%define enable_tests 0

Name:           nodejs-async
Version:        0.2.10
Release:        %mkrel 3
Summary:        Higher-order functions and common patterns for asynchronous code
BuildArch:      noarch

Group:          System/Servers
License:        MIT
URL:            http://github.com/caolan/async/
Source0:        http://registry.npmjs.org/async/-/async-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:        tests-v0.2.5.tar.bz2
Source10:       dl-tests.sh

BuildRequires:  nodejs-packaging nodejs

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
%endif

%description
Async is a utility module which provides straight-forward, powerful functions
for working with asynchronous JavaScript. Although originally designed for
use with Node.js, it can also be used directly in the browser.

Async provides around 20 functions that include the usual 'functional'
suspects (map, reduce, filter, forEach…) as well as some common patterns
for asynchronous control flow (parallel, series, waterfall…). All these
functions assume you follow the Node.js convention of providing a single
callback as the last argument of your async function.

%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/async
cp -pr package.json lib %{buildroot}%{nodejs_sitelib}/async

%if 0%{?enable_tests}
%check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/test-async.js
%endif

%files
%doc README.md LICENSE
%{nodejs_sitelib}/async



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-3.mga5
+ Revision: 750159
- Second Mageia 5 Mass Rebuild

* Tue Oct 07 2014 philippem <philippem> 0.2.10-2.mga5
+ Revision: 737329
- bump release
- first Mageia version

  + tv <tv>
    - imported package nodejs-async


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 0.2.10-1.mga5
- import fr om FC

* Tue Mar 18 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.10-1
- update to upstream release 0.2.10 (#1057505)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 23 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.9-2
- restrict to compatible arches

* Tue May 28 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.9-1
- update to upstream release 0.2.9
- add %%check

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.8-1
- update to upstream release 0.2.8

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.6-2
- add macro for EPEL6 dependency generation

* Wed Mar 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.6-1
- new upstream release 0.2.6

* Wed Feb 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.5-1
- new upstream release 0.2.5

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.4-1
- new upstream release 0.2.4

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-3
- add missing build section

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-2
- Fix URL
- Provide a better description

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-1
- initial package generated by npm2rpm
